version: '3.8'
services:
  nextapp:
    build: .
    ports:
      - "3000:3000"
    extra_hosts:
      - "host.docker.internal:host-gateway"
      - "df.clkeji.com:host-gateway"
    environment:
      - DATABASE_URL=file:/app/data/dev.db
      - NEXTAUTH_SECRET=nextapp-secret-key-2026
      - NEXTAUTH_URL=http://localhost:3000
      - DIFY_API_URL=http://df.clkeji.com/v1/chat-messages
      - DIFY_API_KEY=app-lbe2lglt7taGtZk0dG7pAhbx
    volumes:
      - ./prisma/dev.db:/app/data/dev.db
    restart: unless-stopped
